package fee_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type FeeConsumptionQueryRequest struct {
	Company *common.FeeConsumptionQueryCompanyRequest `json:"company,omitempty"`
	// <ext>core:true</ext> 【开始日期】开始日期 【作用】 用于筛选开始日期之后发生的用量 【传参】 日期格式：yyyy-MM-dd HH:mm:ss。
	CreateTime string `json:"createTime,omitempty"`
	// <ext>core:true</ext> 【结束日期】结束日期 【作用】 用于筛选开始日期之后发生的用量 【传参】 日期格式：yyyy-MM-dd HH:mm:ss。
	EndTime string `json:"endTime,omitempty"`
	// <ext>core:true</ext> 【每页数量】每页数量 【作用】 将查询出的数据进行分页处理，设置分页时每页的数据量 【传参】 单位：条。
	PageSize *float64 `json:"pageSize,omitempty"`
	// <ext>core:true</ext> 【查询指定页码】查询指定页码 【作用】 查询数据分页处理后，查询指定页码的数据 【传参】 单位：页。
	PageNo *float64 `json:"pageNo,omitempty"`
}

func (obj FeeConsumptionQueryRequest) GetUrl() string {
	return "/fee/consumption/query"
}

func (obj FeeConsumptionQueryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
